Subject: Re: bug#865: 23.0.60; The directory is unsafe today

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Sep 2008 17:27:05 +0300

> Date: Fri, 5 Sep 2008 15:18:55 +0200
> From: "Lennart Borgman" <[email-masked]>
> Cc: "Stefan Monnier" <[email-masked]>, [email-masked]
> 
> I did a test on the directory where I had trouble. I did something like
> 
>   (set-file-modes "serv2" ?\654)
> 
> CACLS still reports the same ACL entries.
> 
> I thought that maybe was because the owner is the group
> Administrators. However changing the owner to me and trying
> set-file-modes again gave the same result.
> 
> Am I perhaps not using set-file-modes correctly? (I get no errors.)

set-file-modes is only very crudely emulated on Windows.  In a
nutshell, the underlying primitive _chmod only considers the high 3
bits of the argument you pass to set-file-modes.